Subject: Re: bug #56

From: Dominik Vogt <[email-masked]>
Date: Tue, 5 Jan 1999 08:37:14 +0100

Hi Philip,

> I believe the problem is with SIGALRM and possibly itimers?
> 
> Somehow fvwm2.1.4 is receiving SIGALRM and doesn't have a signal
> handler for it.  Thus, fvwm exits and doesn't leave a core file
> (default behavior on SIGALRM).  So, no stack trace.
> 
> I see that fvwm.c uses the signal() call to register signal handlers.
> Isn't it better to use sigaction() to avoid the problems associated
> with signal() (window for signals to not be handled).
> 
> I am going to try registering a signal handler for SIGALRM and see
> what that does.  That's a hack, though - I really need to figure out
> what is going on with signal handling.
> 
> Also, do you have any idea what changed from fvwm2.0.46 to fvwm2.1.4
> in regards to signals and alarms?  Something must have.

did you have a chance to look after this is the last few weeks?
we made some changes to signal handling in general, so this
problem might be gone. Could you check this with the latest
CVS source?

Thank you

Dominik

-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].